org.apache.maven.scm.provider.perforce.command.remove

## Class PerforceRemoveCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.remove.AbstractRemoveCommand
    - - org.apache.maven.scm.provider.perforce.command.remove.PerforceRemoveCommand

All Implemented Interfaces:
  Command, PerforceCommand

    public class PerforceRemoveCommand
    extends AbstractRemoveCommand
    implements PerforceCommand

Author:
  Mike Perham, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PerforceRemoveCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(PerforceScmProviderRepository repo, File workingDirectory, ScmFileSet files)`
`protected ScmResult` `executeRemoveCommand(ScmProviderRepository repo, ScmFileSet files, String message)`

### Methods inherited from class org.apache.maven.scm.command.remove.AbstractRemoveCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceRemoveCommand

    public PerforceRemoveCommand()

### Method Detail

#### executeRemoveCommand

    protected ScmResult executeRemoveCommand(ScmProviderRepository repo,
                                             ScmFileSet files,
                                             String message)
                                      throws ScmException

Specified by:
  `executeRemoveCommand` in class `AbstractRemoveCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(PerforceScmProviderRepository repo,
                                                                             File workingDirectory,
                                                                             ScmFileSet files)